## org.apache.poi.xssf.usermodel.charts
Class XSSFChartLegend

    java.lang.Object
      org.apache.poi.xssf.usermodel.charts.XSSFChartLegend

All Implemented Interfaces:
  ChartLegend, ManuallyPositionable

    @Beta
    public final class XSSFChartLegend

extends java.lang.Object
implements ChartLegend

Represents a SpreadsheetML chart legend

Author:
  Roman Kashitsyn

Constructor Summary
`XSSFChartLegend(XSSFChart chart)` Create a new SpreadsheetML chart legend

Method Summary
`org.openxmlformats.schemas.drawingml.x2006.chart.CTLegend` `getCTLegend()` Return the underlying CTLegend bean.
`XSSFManualLayout` `getManualLayout()` Returns manual layout for the chart element.
`LegendPosition` `getPosition()`
`void` `setPosition(LegendPosition position)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XSSFChartLegend

    public XSSFChartLegend(XSSFChart chart)

  Create a new SpreadsheetML chart legend

Method Detail

### getCTLegend

    @Internal
    public org.openxmlformats.schemas.drawingml.x2006.chart.CTLegend getCTLegend()

  Return the underlying CTLegend bean.

  Returns:
    the underlying CTLegend bean

### setPosition

    public void setPosition(LegendPosition position)

  Specified by:
    `setPosition` in interface `ChartLegend`
  Parameters:
    `position` - new legend position

### getPosition

    public LegendPosition getPosition()

  Specified by:
    `getPosition` in interface `ChartLegend`
  Returns:
    legend position

### getManualLayout

    public XSSFManualLayout getManualLayout()

  Description copied from interface: `ManuallyPositionable`
  Returns manual layout for the chart element.

  Specified by:
    `getManualLayout` in interface `ManuallyPositionable`
  Returns:
    manual layout for the chart element.

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.